iCount  = 0.
iUpdate = 0.
cTable = "{&TABLE}".
DEF BUFFER b-{&TABLE}_read FOR {&TABLE}.
DEF BUFFER b-{&TABLE}      FOR {&TABLE}.
DISABLE TRIGGERS FOR LOAD OF b-{&TABLE} ALLOW-REPLICATION.

DO WITH FRAME a:
  main-read:
  FOR EACH b-{&TABLE}_read NO-LOCK WHERE
           b-{&TABLE}_read.companycode = sp-companycode WITH FRAME a:
    hBuffer = BUFFER b-{&TABLE}:HANDLE.
    DO iLoop = 1 TO NUM-ENTRIES(cList) BY 3:
      cCode     = ENTRY(iLoop    ,cList).
      cOldValue = ENTRY(iLoop + 1,cList).
      cNewValue = ENTRY(iLoop + 2,cList).
      cCheckFields  = "".
      IF cCode = "aa-location" THEN cCheckFields = "act_locationcode,locationcode".
      IF cCode = "aa-address"  THEN cCheckFields = "customer,cust_addressnr,lease_addressnr".
      IF cCode = "aa-port"     THEN cCheckFields = "portcode,act_pol_portcode,act_pod_portcode,act_dest_portcode,pol_portcode,pod_portcode,dest_portcode".
      IF cCheckFields <> ""
      THEN DO:
        DO TRANSACTION:
          FIND b-{&TABLE} EXCLUSIVE WHERE ROWID(b-{&TABLE}) = ROWID(b-{&TABLE}_read).
          hBuffer = BUFFER b-{&TABLE}:HANDLE.
          DO iField = 1 TO NUM-ENTRIES(cCheckFields):
            hField = ?.
            hField = hBuffer:BUFFER-FIELD(ENTRY(iField,cCheckFields)) NO-ERROR.
            IF VALID-HANDLE(hField)
             AND cOldValue = hField:BUFFER-VALUE
            THEN DO:
              iUpdate = iUpdate + 1.
              IF lUpdate
              THEN hField:BUFFER-VALUE = cNewValue.
            END.
          END.
          DELETE OBJECT hBuffer.
        END.
      END.
    END.
    iCount = iCount + 1.
    IF iCount MODULO 100 = 0
    THEN DISPLAY cTable AT 1 iCount AT 27 iUpdate AT 45 SKIP(0).
  END.
  DISPLAY cTable AT 1 iCount AT 27 iUpdate AT 45 SKIP(0).

END.
