/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Release.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:24
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttRelease BEFORE-TABLE bttRelease
    FIELD archived LIKE ec-release.archived
    FIELD attachmentnr LIKE ec-release.attachmentnr
    FIELD booking_reference LIKE ec-release.booking_reference
    FIELD bookingnr LIKE ec-release.bookingnr
    FIELD ca-u-booking_seqnr LIKE ec-release.ca-u-booking_seqnr SERIALIZE-NAME "ca_u_booking_seqnr"
    FIELD ca-u-shipment_seqnr LIKE ec-release.ca-u-shipment_seqnr SERIALIZE-NAME "ca_u_shipment_seqnr"
    FIELD ca_linecode LIKE ec-release.ca_linecode
    FIELD calc_attachmentnr AS CHARACTER LABEL "Att"
    FIELD calc_c_specification AS CHARACTER LABEL "Specification"
    FIELD companycode LIKE ec-release.companycode
    FIELD conditioncode LIKE ec-release.conditioncode
    FIELD create_usercode LIKE ec-release.create_usercode
    FIELD customer LIKE ec-release.customer
    FIELD dis_locationcode LIKE ec-release.dis_locationcode
    FIELD dt_collection LIKE ec-release.dt_collection
    FIELD dt_create LIKE ec-release.dt_create
    FIELD dt_edi_last LIKE ec-release.dt_edi_last
    FIELD dt_release LIKE ec-release.dt_release
    FIELD dt_update LIKE ec-release.dt_update
    FIELD dt_valid LIKE ec-release.dt_valid
    FIELD edi_last_message LIKE ec-release.edi_last_message
    FIELD ind_changelocation LIKE ec-release.ind_changelocation
    FIELD ind_inactive LIKE ec-release.ind_inactive
    FIELD ind_link_ca LIKE ec-release.ind_link_ca
    FIELD ind_skip LIKE ec-release.ind_skip
    FIELD ind_sublease LIKE ec-release.ind_sublease
    FIELD ind_transport_planning LIKE ec-release.ind_transport_planning
    FIELD linecode LIKE ec-release.linecode
    FIELD locationcode LIKE ec-release.locationcode
    FIELD motcode LIKE ec-release.motcode
    FIELD pod_portcode LIKE ec-release.pod_portcode
    FIELD pol_portcode LIKE ec-release.pol_portcode
    FIELD release_refnr LIKE ec-release.release_refnr
    FIELD remark LIKE ec-release.remark
    FIELD servicecode LIKE ec-release.servicecode
    FIELD shipper_addressnr LIKE ec-release.shipper_addressnr
    FIELD statuscode LIKE ec-release.statuscode
    FIELD subleasecontractcode LIKE ec-release.subleasecontractcode
    FIELD substatuscode LIKE ec-release.substatuscode
    FIELD tim_create LIKE ec-release.tim_create
    FIELD tim_edi_last LIKE ec-release.tim_edi_last
    FIELD tim_update LIKE ec-release.tim_update
    FIELD tp_trip_seqnr LIKE ec-release.tp_trip_seqnr
    FIELD transport_addressnr LIKE ec-release.transport_addressnr
    FIELD update_usercode LIKE ec-release.update_usercode
    FIELD vesselcode LIKE ec-release.vesselcode
    FIELD xref_customer AS CHARACTER LABEL "Customer"
    FIELD xref_shipper AS CHARACTER LABEL "Shipper"
    FIELD xref_transport AS CHARACTER LABEL "Transporter"
.

DEFINE DATASET dsRelease FOR ttRelease.