/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/ContractType.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:01
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttContractType BEFORE-TABLE bttContractType
    FIELD all20ft LIKE ec-contract_type.all20ft
    FIELD all40ft LIKE ec-contract_type.all40ft
    FIELD amount_reduction LIKE ec-contract_type.amount_reduction
    FIELD calc_c_1_months AS INTEGER LABEL "Months"
    FIELD calc_c_2_accum_depr AS DECIMAL LABEL "Accumulated depreciation"
    FIELD calc_c_3_nett_book_value AS DECIMAL LABEL "Nett book value"
    FIELD calc_current_historic AS CHARACTER LABEL "Cur./Hist."
    FIELD companycode LIKE ec-contract_type.companycode
    FIELD contractcode LIKE ec-contract_type.contractcode
    FIELD depreciable_life LIKE ec-contract_type.depreciable_life
    FIELD dif_amount LIKE ec-contract_type.dif_amount
    FIELD dif_currencycode LIKE ec-contract_type.dif_currencycode
    FIELD dpp_amount LIKE ec-contract_type.dpp_amount
    FIELD dpp_currencycode LIKE ec-contract_type.dpp_currencycode
    FIELD dpp_reduced_amount LIKE ec-contract_type.dpp_reduced_amount
    FIELD dt_valid_from LIKE ec-contract_type.dt_valid_from
    FIELD dt_valid_till LIKE ec-contract_type.dt_valid_till
    FIELD free_days LIKE ec-contract_type.free_days
    FIELD ind_multiple LIKE ec-contract_type.ind_multiple
    FIELD ind_use_grade LIKE ec-contract_type.ind_use_grade
    FIELD lease_interest_cost LIKE ec-contract_type.lease_interest_cost
    FIELD purchase_amount LIKE ec-contract_type.purchase_amount
    FIELD purchase_currencycode LIKE ec-contract_type.purchase_currencycode
    FIELD reduction LIKE ec-contract_type.reduction
    FIELD rent_amount LIKE ec-contract_type.rent_amount
    FIELD rent_currencycode LIKE ec-contract_type.rent_currencycode
    FIELD rent_reduced_amount LIKE ec-contract_type.rent_reduced_amount
    FIELD residual_value LIKE ec-contract_type.residual_value
    FIELD typecode LIKE ec-contract_type.typecode
.

DEFINE DATASET dsContractType FOR ttContractType.